using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using System.Threading;

namespace WLANBasic1009
{
    class MyTimer
    {
        public static event EventHandler isTime;
        private Thread timer;
        public static int delay =  1500;

        public static void itIsTimeEventTrigger()
        {
            while (true)
            {
                Thread.Sleep(delay);
                if(isTime!=null)isTime(null, new EventArgs());  
            }
        }
        public void stopTimer()
        {
            timer.Abort();
        }

        public MyTimer()
        {
         timer = new Thread(itIsTimeEventTrigger);
         timer.Start();
        }


       
    }
}
